For the complete documentation index, see llms.txt. This page is also available as Markdown.

Account Balance

How to get your account balance in Pagsmile.

Get your Payin account balance in Pagsmile.

POST https://gateway-test.pagsmile.com/merchant/assets

Headers

Name
Type
Description

Content-Type*

String

application/json; chartset=UTF-8

Authorization*

String

Basic Base($app_id:$security_key)

Request Body

Name
Type
Description

app_id*

string

created app's id at dashboard

- Max. 32 chars -

timestamp*

string

yyyy-MM-dd HH:mm:ss

- Max. 19 chars -

version*

string

fixed value: 2.0

currency

string

Specify one currency or leave empty to check all currencies

{
    "code": "10000",
    "msg": "Success",
    "assets": [
        {
            "currency": "BRL",
            "total_revenue": 6000000.000000,
            "net_income":  6000000.000000  ,
            "balance": 0.000000,
            "payout":  6000000.000000
        }
    ],
    "history": [
        {
            "date": "2023-10-19 01:00:17",
            "currency": "BRL",
            "total_revenue":  6000000.000000  ,
            "net_income":  6000000.000000  ,
            "balance": 0.000000,
            "settled": 0.000000,
            "payout":  6000000.000000  ,
            "desc": "Withdraw by auto transfer to payout account"
        },
        {
            "date": "2023-10-19 01:00:17",
            "currency": "BRL",
            "total_revenue":  6000000.000000  ,
            "net_income":  6000000.000000  ,
            "balance":  1000000.000000	,
            "settled": 0.000000,
            "payout":  5000000.000000  ,
            "desc": "Schedule Task"
        },
        {
            "date": "2023-10-18 13:00:08",
            "currency": "BRL",
            "total_revenue":  5000000.000000  ,
            "net_income":  5000000.000000  ,
            "balance": 0.000000,
            "settled": 0.000000,
            "payout":  5000000.000000  ,
            "desc": "Withdraw by auto transfer to payout account"
        },
        {
            "date": "2023-10-18 13:00:08",
            "currency": "BRL",
            "total_revenue":  5000000.000000  ,
            "net_income":  5000000.000000  ,
            "balance":  4000000.000000	,
            "settled": 0.000000,
            "payout":  1000000.000000  ,
            "desc": "Schedule Task"
        },
    ]
}

Example

Note: 162************38 is pagsmile's test app id for sandbox, and MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ== is authorization token associated with the test app id.

Last updated